mirror of https://lore.kernel.org/lkml/
 help / color / mirror / Atom feed
From: Jesper Juhl <jesper.juhl@gmail.com>
To: linux-kernel@vger.kernel.org
Cc: jesper.juhl@gmail.com
Subject: [PATCH] improve scripts/gcc-version.sh output a bit when called without args
Date: Mon, 7 May 2007 17:18:00 +0200	[thread overview]
Message-ID: <200705071718.00334.jesper.juhl@gmail.com> (raw)

Currently, if you call scripts/gcc-version.sh without arguments it will 
generate this output : 

$ sh scripts/gcc-version.sh
scripts/gcc-version.sh: line 17: -E: command not found
scripts/gcc-version.sh: line 18: -E: command not found
0000

Not too pretty. I believe this is an improvement : 

$ sh scripts/gcc-version.sh
Error: No compiler specified.
Usage:
        scripts/gcc-version.sh <gcc-command>

as implemented by the patch below.

Not really important, just something I noticed, cleaned up and generated a 
patch for.
If you like it you can have it. If you hate it just ignore it :)


Signed-off-by: Jesper Juhl <jesper.juhl@gmail.com>
--- 

 scripts/gcc-version.sh |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

diff --git a/scripts/gcc-version.sh b/scripts/gcc-version.sh
index bb4fbea..59a03a4 100644
--- a/scripts/gcc-version.sh
+++ b/scripts/gcc-version.sh
@@ -8,6 +8,12 @@
 
 compiler="$*"
 
+if [ ${#compiler} -eq 0 ]; then
+	echo "Error: No compiler specified."
+	echo -e "Usage:\n\t$0 <gcc-command>"
+	exit 1
+fi
+
 MAJOR=$(echo __GNUC__ | $compiler -E -xc - | tail -n 1)
 MINOR=$(echo __GNUC_MINOR__ | $compiler -E -xc - | tail -n 1)
 printf "%02d%02d\\n" $MAJOR $MINOR



                 reply	other threads:[~2007-05-07 15:18 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=200705071718.00334.jesper.juhl@gmail.com \
    --to=jesper.juhl@gmail.com \
    --cc=linux-kernel@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox

Powered by JetHome